Subject: Re: [bug#49950] [PATCH] Update opam and dune
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sat, 21 Aug 2021 00:08:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Mon, 9 Aug 2021 04:14:44 +0200,
Julien Lepiller <[email-masked]> a écrit :

> Hi Guix!
> 
> This small series updates opam and dune. Opam was surprisingly
> difficult to update, after the switch to dune, but I had to update it
> because the previous version we had doesn't build with the new dune.
> 
> The most difficult part was making the tests pass, as they require
> network access. For some of them, I was able to download the files in
> advance (see opam-repo in the inputs), and change the tests to use
> that, fix shebangs, ... I still had to disable three tests: one that
> runs opam and let it clone a git repository, one that fails only
> because of a difference in text formating (it's expected to be on one
> line, but actually is nicely formated), and one that compares a
> generated dune file with the one that was just modified.
> 
> also ocaml-markup fails with the new dune, so I updated it to the
> latest version.

Pushed to master as f916c827092aca86bd2581299f0335bcbae64f35 to
777ce1485749cc3dbe178fcc1e0654a7e74900c5.